Subject: iconifying / framesize

From: "Dr.-Ing. Dieter Jurzitza" <[email-masked]>
Date: Sat, 24 Sep 2016 11:08:52 +0200

Dear listmembers,
I installed the released version of emacs-25.1 today. Thereby I can observe 
differences in framesize between

emacs -iconic

and 

emacs

both called from within an xterm. I configured the size of the frame in my 
".emacs" - file. Starting xwininfo and deiconifying emacs that had had been 
started with "emacs -iconic" results in:

fred@djunix:~/rpmbuild/RPMS/x86_64> xwininfo

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x340011f "emacs@djunix"

  Absolute upper-left X:  41
  Absolute upper-left Y:  57
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 744
  Height: 865
  Depth: 24
  Visual: 0x25
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x340011e (not installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +41+57  -815+57  -815-278  +41-278
  -geometry 64x26+35+20

In contrast, when simply triggering "emacs" not being iconic, I get
fred@djunix:~/rpmbuild/RPMS/x86_64> xwininfo

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x340011f "emacs@djunix"

  Absolute upper-left X:  41
  Absolute upper-left Y:  57
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 1514
  Height: 1068
  Depth: 24
  Visual: 0x25
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x340011e (not installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +41+57  -45+57  -45-75  +41-75
  -geometry 134x33+35+20

The last lines from "-geometry" are very close to my settings from within 
.emacs:

(add-to-list 'default-frame-alist '(width . 135))
(add-to-list 'default-frame-alist '(height . 34))
(add-to-list 'default-frame-alist '(top . 20))
(add-to-list 'default-frame-alist '(left . 35))

though the x- and y- size parameters are off by "1" this is no problem. 
However, the fact that the iconified emacs comes up with 
-geometry 64x26+35+20 points me to the fact that the x- and y- size parameters 
are not processed apropriately.

Many thanks for looking into this,
take care

Dieter Jurzitza

-- 
-----------------------------------------------------------
Dr.-Ing. Dieter Jurzitza                          Karlsruhe